IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network8.30.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
8.30.0.0- Broadcast address
8.31.255.255- First usable
8.30.0.1- Last usable
8.31.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
081E0000· Integer136183808to136314879 - Reverse DNS zones
30.8.in-addr.arpa31.8.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001000.00011110.00000000.00000000 | 8.30.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00001000.00011110.00000000.00000000 | 8.30.0.0 |
| Broadcast | 00001000.00011111.11111111.11111111 | 8.31.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
8.30.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 8.30.0.0/23 | 8.30.0.1 to 8.30.1.254 | 8.30.1.255 | 510 |
| 2 | 8.30.2.0/23 | 8.30.2.1 to 8.30.3.254 | 8.30.3.255 | 510 |
| 3 | 8.30.4.0/23 | 8.30.4.1 to 8.30.5.254 | 8.30.5.255 | 510 |
| 4 | 8.30.6.0/23 | 8.30.6.1 to 8.30.7.254 | 8.30.7.255 | 510 |
| 5 | 8.30.8.0/23 | 8.30.8.1 to 8.30.9.254 | 8.30.9.255 | 510 |
| 6 | 8.30.10.0/23 | 8.30.10.1 to 8.30.11.254 | 8.30.11.255 | 510 |
| 7 | 8.30.12.0/23 | 8.30.12.1 to 8.30.13.254 | 8.30.13.255 | 510 |
| 8 | 8.30.14.0/23 | 8.30.14.1 to 8.30.15.254 | 8.30.15.255 | 510 |
| 9 | 8.30.16.0/23 | 8.30.16.1 to 8.30.17.254 | 8.30.17.255 | 510 |
| 10 | 8.30.18.0/23 | 8.30.18.1 to 8.30.19.254 | 8.30.19.255 | 510 |
| 11 | 8.30.20.0/23 | 8.30.20.1 to 8.30.21.254 | 8.30.21.255 | 510 |
| 12 | 8.30.22.0/23 | 8.30.22.1 to 8.30.23.254 | 8.30.23.255 | 510 |
| 13 | 8.30.24.0/23 | 8.30.24.1 to 8.30.25.254 | 8.30.25.255 | 510 |
| 14 | 8.30.26.0/23 | 8.30.26.1 to 8.30.27.254 | 8.30.27.255 | 510 |
| 15 | 8.30.28.0/23 | 8.30.28.1 to 8.30.29.254 | 8.30.29.255 | 510 |
| 16 | 8.30.30.0/23 | 8.30.30.1 to 8.30.31.254 | 8.30.31.255 | 510 |
| 17 | 8.30.32.0/23 | 8.30.32.1 to 8.30.33.254 | 8.30.33.255 | 510 |
| 18 | 8.30.34.0/23 | 8.30.34.1 to 8.30.35.254 | 8.30.35.255 | 510 |
| 19 | 8.30.36.0/23 | 8.30.36.1 to 8.30.37.254 | 8.30.37.255 | 510 |
| 20 | 8.30.38.0/23 | 8.30.38.1 to 8.30.39.254 | 8.30.39.255 | 510 |
| 21 | 8.30.40.0/23 | 8.30.40.1 to 8.30.41.254 | 8.30.41.255 | 510 |
| 22 | 8.30.42.0/23 | 8.30.42.1 to 8.30.43.254 | 8.30.43.255 | 510 |
| 23 | 8.30.44.0/23 | 8.30.44.1 to 8.30.45.254 | 8.30.45.255 | 510 |
| 24 | 8.30.46.0/23 | 8.30.46.1 to 8.30.47.254 | 8.30.47.255 | 510 |
| 25 | 8.30.48.0/23 | 8.30.48.1 to 8.30.49.254 | 8.30.49.255 | 510 |
| 26 | 8.30.50.0/23 | 8.30.50.1 to 8.30.51.254 | 8.30.51.255 | 510 |
| 27 | 8.30.52.0/23 | 8.30.52.1 to 8.30.53.254 | 8.30.53.255 | 510 |
| 28 | 8.30.54.0/23 | 8.30.54.1 to 8.30.55.254 | 8.30.55.255 | 510 |
| 29 | 8.30.56.0/23 | 8.30.56.1 to 8.30.57.254 | 8.30.57.255 | 510 |
| 30 | 8.30.58.0/23 | 8.30.58.1 to 8.30.59.254 | 8.30.59.255 | 510 |
| 31 | 8.30.60.0/23 | 8.30.60.1 to 8.30.61.254 | 8.30.61.255 | 510 |
| 32 | 8.30.62.0/23 | 8.30.62.1 to 8.30.63.254 | 8.30.63.255 | 510 |
| 33 | 8.30.64.0/23 | 8.30.64.1 to 8.30.65.254 | 8.30.65.255 | 510 |
| 34 | 8.30.66.0/23 | 8.30.66.1 to 8.30.67.254 | 8.30.67.255 | 510 |
| 35 | 8.30.68.0/23 | 8.30.68.1 to 8.30.69.254 | 8.30.69.255 | 510 |
| 36 | 8.30.70.0/23 | 8.30.70.1 to 8.30.71.254 | 8.30.71.255 | 510 |
| 37 | 8.30.72.0/23 | 8.30.72.1 to 8.30.73.254 | 8.30.73.255 | 510 |
| 38 | 8.30.74.0/23 | 8.30.74.1 to 8.30.75.254 | 8.30.75.255 | 510 |
| 39 | 8.30.76.0/23 | 8.30.76.1 to 8.30.77.254 | 8.30.77.255 | 510 |
| 40 | 8.30.78.0/23 | 8.30.78.1 to 8.30.79.254 | 8.30.79.255 | 510 |
| 41 | 8.30.80.0/23 | 8.30.80.1 to 8.30.81.254 | 8.30.81.255 | 510 |
| 42 | 8.30.82.0/23 | 8.30.82.1 to 8.30.83.254 | 8.30.83.255 | 510 |
| 43 | 8.30.84.0/23 | 8.30.84.1 to 8.30.85.254 | 8.30.85.255 | 510 |
| 44 | 8.30.86.0/23 | 8.30.86.1 to 8.30.87.254 | 8.30.87.255 | 510 |
| 45 | 8.30.88.0/23 | 8.30.88.1 to 8.30.89.254 | 8.30.89.255 | 510 |
| 46 | 8.30.90.0/23 | 8.30.90.1 to 8.30.91.254 | 8.30.91.255 | 510 |
| 47 | 8.30.92.0/23 | 8.30.92.1 to 8.30.93.254 | 8.30.93.255 | 510 |
| 48 | 8.30.94.0/23 | 8.30.94.1 to 8.30.95.254 | 8.30.95.255 | 510 |
| 49 | 8.30.96.0/23 | 8.30.96.1 to 8.30.97.254 | 8.30.97.255 | 510 |
| 50 | 8.30.98.0/23 | 8.30.98.1 to 8.30.99.254 | 8.30.99.255 | 510 |
| 51 | 8.30.100.0/23 | 8.30.100.1 to 8.30.101.254 | 8.30.101.255 | 510 |
| 52 | 8.30.102.0/23 | 8.30.102.1 to 8.30.103.254 | 8.30.103.255 | 510 |
| 53 | 8.30.104.0/23 | 8.30.104.1 to 8.30.105.254 | 8.30.105.255 | 510 |
| 54 | 8.30.106.0/23 | 8.30.106.1 to 8.30.107.254 | 8.30.107.255 | 510 |
| 55 | 8.30.108.0/23 | 8.30.108.1 to 8.30.109.254 | 8.30.109.255 | 510 |
| 56 | 8.30.110.0/23 | 8.30.110.1 to 8.30.111.254 | 8.30.111.255 | 510 |
| 57 | 8.30.112.0/23 | 8.30.112.1 to 8.30.113.254 | 8.30.113.255 | 510 |
| 58 | 8.30.114.0/23 | 8.30.114.1 to 8.30.115.254 | 8.30.115.255 | 510 |
| 59 | 8.30.116.0/23 | 8.30.116.1 to 8.30.117.254 | 8.30.117.255 | 510 |
| 60 | 8.30.118.0/23 | 8.30.118.1 to 8.30.119.254 | 8.30.119.255 | 510 |
| 61 | 8.30.120.0/23 | 8.30.120.1 to 8.30.121.254 | 8.30.121.255 | 510 |
| 62 | 8.30.122.0/23 | 8.30.122.1 to 8.30.123.254 | 8.30.123.255 | 510 |
| 63 | 8.30.124.0/23 | 8.30.124.1 to 8.30.125.254 | 8.30.125.255 | 510 |
| 64 | 8.30.126.0/23 | 8.30.126.1 to 8.30.127.254 | 8.30.127.255 | 510 |
| 65 | 8.30.128.0/23 | 8.30.128.1 to 8.30.129.254 | 8.30.129.255 | 510 |
| 66 | 8.30.130.0/23 | 8.30.130.1 to 8.30.131.254 | 8.30.131.255 | 510 |
| 67 | 8.30.132.0/23 | 8.30.132.1 to 8.30.133.254 | 8.30.133.255 | 510 |
| 68 | 8.30.134.0/23 | 8.30.134.1 to 8.30.135.254 | 8.30.135.255 | 510 |
| 69 | 8.30.136.0/23 | 8.30.136.1 to 8.30.137.254 | 8.30.137.255 | 510 |
| 70 | 8.30.138.0/23 | 8.30.138.1 to 8.30.139.254 | 8.30.139.255 | 510 |
| 71 | 8.30.140.0/23 | 8.30.140.1 to 8.30.141.254 | 8.30.141.255 | 510 |
| 72 | 8.30.142.0/23 | 8.30.142.1 to 8.30.143.254 | 8.30.143.255 | 510 |
| 73 | 8.30.144.0/23 | 8.30.144.1 to 8.30.145.254 | 8.30.145.255 | 510 |
| 74 | 8.30.146.0/23 | 8.30.146.1 to 8.30.147.254 | 8.30.147.255 | 510 |
| 75 | 8.30.148.0/23 | 8.30.148.1 to 8.30.149.254 | 8.30.149.255 | 510 |
| 76 | 8.30.150.0/23 | 8.30.150.1 to 8.30.151.254 | 8.30.151.255 | 510 |
| 77 | 8.30.152.0/23 | 8.30.152.1 to 8.30.153.254 | 8.30.153.255 | 510 |
| 78 | 8.30.154.0/23 | 8.30.154.1 to 8.30.155.254 | 8.30.155.255 | 510 |
| 79 | 8.30.156.0/23 | 8.30.156.1 to 8.30.157.254 | 8.30.157.255 | 510 |
| 80 | 8.30.158.0/23 | 8.30.158.1 to 8.30.159.254 | 8.30.159.255 | 510 |
| 81 | 8.30.160.0/23 | 8.30.160.1 to 8.30.161.254 | 8.30.161.255 | 510 |
| 82 | 8.30.162.0/23 | 8.30.162.1 to 8.30.163.254 | 8.30.163.255 | 510 |
| 83 | 8.30.164.0/23 | 8.30.164.1 to 8.30.165.254 | 8.30.165.255 | 510 |
| 84 | 8.30.166.0/23 | 8.30.166.1 to 8.30.167.254 | 8.30.167.255 | 510 |
| 85 | 8.30.168.0/23 | 8.30.168.1 to 8.30.169.254 | 8.30.169.255 | 510 |
| 86 | 8.30.170.0/23 | 8.30.170.1 to 8.30.171.254 | 8.30.171.255 | 510 |
| 87 | 8.30.172.0/23 | 8.30.172.1 to 8.30.173.254 | 8.30.173.255 | 510 |
| 88 | 8.30.174.0/23 | 8.30.174.1 to 8.30.175.254 | 8.30.175.255 | 510 |
| 89 | 8.30.176.0/23 | 8.30.176.1 to 8.30.177.254 | 8.30.177.255 | 510 |
| 90 | 8.30.178.0/23 | 8.30.178.1 to 8.30.179.254 | 8.30.179.255 | 510 |
| 91 | 8.30.180.0/23 | 8.30.180.1 to 8.30.181.254 | 8.30.181.255 | 510 |
| 92 | 8.30.182.0/23 | 8.30.182.1 to 8.30.183.254 | 8.30.183.255 | 510 |
| 93 | 8.30.184.0/23 | 8.30.184.1 to 8.30.185.254 | 8.30.185.255 | 510 |
| 94 | 8.30.186.0/23 | 8.30.186.1 to 8.30.187.254 | 8.30.187.255 | 510 |
| 95 | 8.30.188.0/23 | 8.30.188.1 to 8.30.189.254 | 8.30.189.255 | 510 |
| 96 | 8.30.190.0/23 | 8.30.190.1 to 8.30.191.254 | 8.30.191.255 | 510 |
| 97 | 8.30.192.0/23 | 8.30.192.1 to 8.30.193.254 | 8.30.193.255 | 510 |
| 98 | 8.30.194.0/23 | 8.30.194.1 to 8.30.195.254 | 8.30.195.255 | 510 |
| 99 | 8.30.196.0/23 | 8.30.196.1 to 8.30.197.254 | 8.30.197.255 | 510 |
| 100 | 8.30.198.0/23 | 8.30.198.1 to 8.30.199.254 | 8.30.199.255 | 510 |
| 101 | 8.30.200.0/23 | 8.30.200.1 to 8.30.201.254 | 8.30.201.255 | 510 |
| 102 | 8.30.202.0/23 | 8.30.202.1 to 8.30.203.254 | 8.30.203.255 | 510 |
| 103 | 8.30.204.0/23 | 8.30.204.1 to 8.30.205.254 | 8.30.205.255 | 510 |
| 104 | 8.30.206.0/23 | 8.30.206.1 to 8.30.207.254 | 8.30.207.255 | 510 |
| 105 | 8.30.208.0/23 | 8.30.208.1 to 8.30.209.254 | 8.30.209.255 | 510 |
| 106 | 8.30.210.0/23 | 8.30.210.1 to 8.30.211.254 | 8.30.211.255 | 510 |
| 107 | 8.30.212.0/23 | 8.30.212.1 to 8.30.213.254 | 8.30.213.255 | 510 |
| 108 | 8.30.214.0/23 | 8.30.214.1 to 8.30.215.254 | 8.30.215.255 | 510 |
| 109 | 8.30.216.0/23 | 8.30.216.1 to 8.30.217.254 | 8.30.217.255 | 510 |
| 110 | 8.30.218.0/23 | 8.30.218.1 to 8.30.219.254 | 8.30.219.255 | 510 |
| 111 | 8.30.220.0/23 | 8.30.220.1 to 8.30.221.254 | 8.30.221.255 | 510 |
| 112 | 8.30.222.0/23 | 8.30.222.1 to 8.30.223.254 | 8.30.223.255 | 510 |
| 113 | 8.30.224.0/23 | 8.30.224.1 to 8.30.225.254 | 8.30.225.255 | 510 |
| 114 | 8.30.226.0/23 | 8.30.226.1 to 8.30.227.254 | 8.30.227.255 | 510 |
| 115 | 8.30.228.0/23 | 8.30.228.1 to 8.30.229.254 | 8.30.229.255 | 510 |
| 116 | 8.30.230.0/23 | 8.30.230.1 to 8.30.231.254 | 8.30.231.255 | 510 |
| 117 | 8.30.232.0/23 | 8.30.232.1 to 8.30.233.254 | 8.30.233.255 | 510 |
| 118 | 8.30.234.0/23 | 8.30.234.1 to 8.30.235.254 | 8.30.235.255 | 510 |
| 119 | 8.30.236.0/23 | 8.30.236.1 to 8.30.237.254 | 8.30.237.255 | 510 |
| 120 | 8.30.238.0/23 | 8.30.238.1 to 8.30.239.254 | 8.30.239.255 | 510 |
| 121 | 8.30.240.0/23 | 8.30.240.1 to 8.30.241.254 | 8.30.241.255 | 510 |
| 122 | 8.30.242.0/23 | 8.30.242.1 to 8.30.243.254 | 8.30.243.255 | 510 |
| 123 | 8.30.244.0/23 | 8.30.244.1 to 8.30.245.254 | 8.30.245.255 | 510 |
| 124 | 8.30.246.0/23 | 8.30.246.1 to 8.30.247.254 | 8.30.247.255 | 510 |
| 125 | 8.30.248.0/23 | 8.30.248.1 to 8.30.249.254 | 8.30.249.255 | 510 |
| 126 | 8.30.250.0/23 | 8.30.250.1 to 8.30.251.254 | 8.30.251.255 | 510 |
| 127 | 8.30.252.0/23 | 8.30.252.1 to 8.30.253.254 | 8.30.253.255 | 510 |
| 128 | 8.30.254.0/23 | 8.30.254.1 to 8.30.255.254 | 8.30.255.255 | 510 |
| 129 | 8.31.0.0/23 | 8.31.0.1 to 8.31.1.254 | 8.31.1.255 | 510 |
| 130 | 8.31.2.0/23 | 8.31.2.1 to 8.31.3.254 | 8.31.3.255 | 510 |
| 131 | 8.31.4.0/23 | 8.31.4.1 to 8.31.5.254 | 8.31.5.255 | 510 |
| 132 | 8.31.6.0/23 | 8.31.6.1 to 8.31.7.254 | 8.31.7.255 | 510 |
| 133 | 8.31.8.0/23 | 8.31.8.1 to 8.31.9.254 | 8.31.9.255 | 510 |
| 134 | 8.31.10.0/23 | 8.31.10.1 to 8.31.11.254 | 8.31.11.255 | 510 |
| 135 | 8.31.12.0/23 | 8.31.12.1 to 8.31.13.254 | 8.31.13.255 | 510 |
| 136 | 8.31.14.0/23 | 8.31.14.1 to 8.31.15.254 | 8.31.15.255 | 510 |
| 137 | 8.31.16.0/23 | 8.31.16.1 to 8.31.17.254 | 8.31.17.255 | 510 |
| 138 | 8.31.18.0/23 | 8.31.18.1 to 8.31.19.254 | 8.31.19.255 | 510 |
| 139 | 8.31.20.0/23 | 8.31.20.1 to 8.31.21.254 | 8.31.21.255 | 510 |
| 140 | 8.31.22.0/23 | 8.31.22.1 to 8.31.23.254 | 8.31.23.255 | 510 |
| 141 | 8.31.24.0/23 | 8.31.24.1 to 8.31.25.254 | 8.31.25.255 | 510 |
| 142 | 8.31.26.0/23 | 8.31.26.1 to 8.31.27.254 | 8.31.27.255 | 510 |
| 143 | 8.31.28.0/23 | 8.31.28.1 to 8.31.29.254 | 8.31.29.255 | 510 |
| 144 | 8.31.30.0/23 | 8.31.30.1 to 8.31.31.254 | 8.31.31.255 | 510 |
| 145 | 8.31.32.0/23 | 8.31.32.1 to 8.31.33.254 | 8.31.33.255 | 510 |
| 146 | 8.31.34.0/23 | 8.31.34.1 to 8.31.35.254 | 8.31.35.255 | 510 |
| 147 | 8.31.36.0/23 | 8.31.36.1 to 8.31.37.254 | 8.31.37.255 | 510 |
| 148 | 8.31.38.0/23 | 8.31.38.1 to 8.31.39.254 | 8.31.39.255 | 510 |
| 149 | 8.31.40.0/23 | 8.31.40.1 to 8.31.41.254 | 8.31.41.255 | 510 |
| 150 | 8.31.42.0/23 | 8.31.42.1 to 8.31.43.254 | 8.31.43.255 | 510 |
| 151 | 8.31.44.0/23 | 8.31.44.1 to 8.31.45.254 | 8.31.45.255 | 510 |
| 152 | 8.31.46.0/23 | 8.31.46.1 to 8.31.47.254 | 8.31.47.255 | 510 |
| 153 | 8.31.48.0/23 | 8.31.48.1 to 8.31.49.254 | 8.31.49.255 | 510 |
| 154 | 8.31.50.0/23 | 8.31.50.1 to 8.31.51.254 | 8.31.51.255 | 510 |
| 155 | 8.31.52.0/23 | 8.31.52.1 to 8.31.53.254 | 8.31.53.255 | 510 |
| 156 | 8.31.54.0/23 | 8.31.54.1 to 8.31.55.254 | 8.31.55.255 | 510 |
| 157 | 8.31.56.0/23 | 8.31.56.1 to 8.31.57.254 | 8.31.57.255 | 510 |
| 158 | 8.31.58.0/23 | 8.31.58.1 to 8.31.59.254 | 8.31.59.255 | 510 |
| 159 | 8.31.60.0/23 | 8.31.60.1 to 8.31.61.254 | 8.31.61.255 | 510 |
| 160 | 8.31.62.0/23 | 8.31.62.1 to 8.31.63.254 | 8.31.63.255 | 510 |
| 161 | 8.31.64.0/23 | 8.31.64.1 to 8.31.65.254 | 8.31.65.255 | 510 |
| 162 | 8.31.66.0/23 | 8.31.66.1 to 8.31.67.254 | 8.31.67.255 | 510 |
| 163 | 8.31.68.0/23 | 8.31.68.1 to 8.31.69.254 | 8.31.69.255 | 510 |
| 164 | 8.31.70.0/23 | 8.31.70.1 to 8.31.71.254 | 8.31.71.255 | 510 |
| 165 | 8.31.72.0/23 | 8.31.72.1 to 8.31.73.254 | 8.31.73.255 | 510 |
| 166 | 8.31.74.0/23 | 8.31.74.1 to 8.31.75.254 | 8.31.75.255 | 510 |
| 167 | 8.31.76.0/23 | 8.31.76.1 to 8.31.77.254 | 8.31.77.255 | 510 |
| 168 | 8.31.78.0/23 | 8.31.78.1 to 8.31.79.254 | 8.31.79.255 | 510 |
| 169 | 8.31.80.0/23 | 8.31.80.1 to 8.31.81.254 | 8.31.81.255 | 510 |
| 170 | 8.31.82.0/23 | 8.31.82.1 to 8.31.83.254 | 8.31.83.255 | 510 |
| 171 | 8.31.84.0/23 | 8.31.84.1 to 8.31.85.254 | 8.31.85.255 | 510 |
| 172 | 8.31.86.0/23 | 8.31.86.1 to 8.31.87.254 | 8.31.87.255 | 510 |
| 173 | 8.31.88.0/23 | 8.31.88.1 to 8.31.89.254 | 8.31.89.255 | 510 |
| 174 | 8.31.90.0/23 | 8.31.90.1 to 8.31.91.254 | 8.31.91.255 | 510 |
| 175 | 8.31.92.0/23 | 8.31.92.1 to 8.31.93.254 | 8.31.93.255 | 510 |
| 176 | 8.31.94.0/23 | 8.31.94.1 to 8.31.95.254 | 8.31.95.255 | 510 |
| 177 | 8.31.96.0/23 | 8.31.96.1 to 8.31.97.254 | 8.31.97.255 | 510 |
| 178 | 8.31.98.0/23 | 8.31.98.1 to 8.31.99.254 | 8.31.99.255 | 510 |
| 179 | 8.31.100.0/23 | 8.31.100.1 to 8.31.101.254 | 8.31.101.255 | 510 |
| 180 | 8.31.102.0/23 | 8.31.102.1 to 8.31.103.254 | 8.31.103.255 | 510 |
| 181 | 8.31.104.0/23 | 8.31.104.1 to 8.31.105.254 | 8.31.105.255 | 510 |
| 182 | 8.31.106.0/23 | 8.31.106.1 to 8.31.107.254 | 8.31.107.255 | 510 |
| 183 | 8.31.108.0/23 | 8.31.108.1 to 8.31.109.254 | 8.31.109.255 | 510 |
| 184 | 8.31.110.0/23 | 8.31.110.1 to 8.31.111.254 | 8.31.111.255 | 510 |
| 185 | 8.31.112.0/23 | 8.31.112.1 to 8.31.113.254 | 8.31.113.255 | 510 |
| 186 | 8.31.114.0/23 | 8.31.114.1 to 8.31.115.254 | 8.31.115.255 | 510 |
| 187 | 8.31.116.0/23 | 8.31.116.1 to 8.31.117.254 | 8.31.117.255 | 510 |
| 188 | 8.31.118.0/23 | 8.31.118.1 to 8.31.119.254 | 8.31.119.255 | 510 |
| 189 | 8.31.120.0/23 | 8.31.120.1 to 8.31.121.254 | 8.31.121.255 | 510 |
| 190 | 8.31.122.0/23 | 8.31.122.1 to 8.31.123.254 | 8.31.123.255 | 510 |
| 191 | 8.31.124.0/23 | 8.31.124.1 to 8.31.125.254 | 8.31.125.255 | 510 |
| 192 | 8.31.126.0/23 | 8.31.126.1 to 8.31.127.254 | 8.31.127.255 | 510 |
| 193 | 8.31.128.0/23 | 8.31.128.1 to 8.31.129.254 | 8.31.129.255 | 510 |
| 194 | 8.31.130.0/23 | 8.31.130.1 to 8.31.131.254 | 8.31.131.255 | 510 |
| 195 | 8.31.132.0/23 | 8.31.132.1 to 8.31.133.254 | 8.31.133.255 | 510 |
| 196 | 8.31.134.0/23 | 8.31.134.1 to 8.31.135.254 | 8.31.135.255 | 510 |
| 197 | 8.31.136.0/23 | 8.31.136.1 to 8.31.137.254 | 8.31.137.255 | 510 |
| 198 | 8.31.138.0/23 | 8.31.138.1 to 8.31.139.254 | 8.31.139.255 | 510 |
| 199 | 8.31.140.0/23 | 8.31.140.1 to 8.31.141.254 | 8.31.141.255 | 510 |
| 200 | 8.31.142.0/23 | 8.31.142.1 to 8.31.143.254 | 8.31.143.255 | 510 |
| 201 | 8.31.144.0/23 | 8.31.144.1 to 8.31.145.254 | 8.31.145.255 | 510 |
| 202 | 8.31.146.0/23 | 8.31.146.1 to 8.31.147.254 | 8.31.147.255 | 510 |
| 203 | 8.31.148.0/23 | 8.31.148.1 to 8.31.149.254 | 8.31.149.255 | 510 |
| 204 | 8.31.150.0/23 | 8.31.150.1 to 8.31.151.254 | 8.31.151.255 | 510 |
| 205 | 8.31.152.0/23 | 8.31.152.1 to 8.31.153.254 | 8.31.153.255 | 510 |
| 206 | 8.31.154.0/23 | 8.31.154.1 to 8.31.155.254 | 8.31.155.255 | 510 |
| 207 | 8.31.156.0/23 | 8.31.156.1 to 8.31.157.254 | 8.31.157.255 | 510 |
| 208 | 8.31.158.0/23 | 8.31.158.1 to 8.31.159.254 | 8.31.159.255 | 510 |
| 209 | 8.31.160.0/23 | 8.31.160.1 to 8.31.161.254 | 8.31.161.255 | 510 |
| 210 | 8.31.162.0/23 | 8.31.162.1 to 8.31.163.254 | 8.31.163.255 | 510 |
| 211 | 8.31.164.0/23 | 8.31.164.1 to 8.31.165.254 | 8.31.165.255 | 510 |
| 212 | 8.31.166.0/23 | 8.31.166.1 to 8.31.167.254 | 8.31.167.255 | 510 |
| 213 | 8.31.168.0/23 | 8.31.168.1 to 8.31.169.254 | 8.31.169.255 | 510 |
| 214 | 8.31.170.0/23 | 8.31.170.1 to 8.31.171.254 | 8.31.171.255 | 510 |
| 215 | 8.31.172.0/23 | 8.31.172.1 to 8.31.173.254 | 8.31.173.255 | 510 |
| 216 | 8.31.174.0/23 | 8.31.174.1 to 8.31.175.254 | 8.31.175.255 | 510 |
| 217 | 8.31.176.0/23 | 8.31.176.1 to 8.31.177.254 | 8.31.177.255 | 510 |
| 218 | 8.31.178.0/23 | 8.31.178.1 to 8.31.179.254 | 8.31.179.255 | 510 |
| 219 | 8.31.180.0/23 | 8.31.180.1 to 8.31.181.254 | 8.31.181.255 | 510 |
| 220 | 8.31.182.0/23 | 8.31.182.1 to 8.31.183.254 | 8.31.183.255 | 510 |
| 221 | 8.31.184.0/23 | 8.31.184.1 to 8.31.185.254 | 8.31.185.255 | 510 |
| 222 | 8.31.186.0/23 | 8.31.186.1 to 8.31.187.254 | 8.31.187.255 | 510 |
| 223 | 8.31.188.0/23 | 8.31.188.1 to 8.31.189.254 | 8.31.189.255 | 510 |
| 224 | 8.31.190.0/23 | 8.31.190.1 to 8.31.191.254 | 8.31.191.255 | 510 |
| 225 | 8.31.192.0/23 | 8.31.192.1 to 8.31.193.254 | 8.31.193.255 | 510 |
| 226 | 8.31.194.0/23 | 8.31.194.1 to 8.31.195.254 | 8.31.195.255 | 510 |
| 227 | 8.31.196.0/23 | 8.31.196.1 to 8.31.197.254 | 8.31.197.255 | 510 |
| 228 | 8.31.198.0/23 | 8.31.198.1 to 8.31.199.254 | 8.31.199.255 | 510 |
| 229 | 8.31.200.0/23 | 8.31.200.1 to 8.31.201.254 | 8.31.201.255 | 510 |
| 230 | 8.31.202.0/23 | 8.31.202.1 to 8.31.203.254 | 8.31.203.255 | 510 |
| 231 | 8.31.204.0/23 | 8.31.204.1 to 8.31.205.254 | 8.31.205.255 | 510 |
| 232 | 8.31.206.0/23 | 8.31.206.1 to 8.31.207.254 | 8.31.207.255 | 510 |
| 233 | 8.31.208.0/23 | 8.31.208.1 to 8.31.209.254 | 8.31.209.255 | 510 |
| 234 | 8.31.210.0/23 | 8.31.210.1 to 8.31.211.254 | 8.31.211.255 | 510 |
| 235 | 8.31.212.0/23 | 8.31.212.1 to 8.31.213.254 | 8.31.213.255 | 510 |
| 236 | 8.31.214.0/23 | 8.31.214.1 to 8.31.215.254 | 8.31.215.255 | 510 |
| 237 | 8.31.216.0/23 | 8.31.216.1 to 8.31.217.254 | 8.31.217.255 | 510 |
| 238 | 8.31.218.0/23 | 8.31.218.1 to 8.31.219.254 | 8.31.219.255 | 510 |
| 239 | 8.31.220.0/23 | 8.31.220.1 to 8.31.221.254 | 8.31.221.255 | 510 |
| 240 | 8.31.222.0/23 | 8.31.222.1 to 8.31.223.254 | 8.31.223.255 | 510 |
| 241 | 8.31.224.0/23 | 8.31.224.1 to 8.31.225.254 | 8.31.225.255 | 510 |
| 242 | 8.31.226.0/23 | 8.31.226.1 to 8.31.227.254 | 8.31.227.255 | 510 |
| 243 | 8.31.228.0/23 | 8.31.228.1 to 8.31.229.254 | 8.31.229.255 | 510 |
| 244 | 8.31.230.0/23 | 8.31.230.1 to 8.31.231.254 | 8.31.231.255 | 510 |
| 245 | 8.31.232.0/23 | 8.31.232.1 to 8.31.233.254 | 8.31.233.255 | 510 |
| 246 | 8.31.234.0/23 | 8.31.234.1 to 8.31.235.254 | 8.31.235.255 | 510 |
| 247 | 8.31.236.0/23 | 8.31.236.1 to 8.31.237.254 | 8.31.237.255 | 510 |
| 248 | 8.31.238.0/23 | 8.31.238.1 to 8.31.239.254 | 8.31.239.255 | 510 |
| 249 | 8.31.240.0/23 | 8.31.240.1 to 8.31.241.254 | 8.31.241.255 | 510 |
| 250 | 8.31.242.0/23 | 8.31.242.1 to 8.31.243.254 | 8.31.243.255 | 510 |
| 251 | 8.31.244.0/23 | 8.31.244.1 to 8.31.245.254 | 8.31.245.255 | 510 |
| 252 | 8.31.246.0/23 | 8.31.246.1 to 8.31.247.254 | 8.31.247.255 | 510 |
| 253 | 8.31.248.0/23 | 8.31.248.1 to 8.31.249.254 | 8.31.249.255 | 510 |
| 254 | 8.31.250.0/23 | 8.31.250.1 to 8.31.251.254 | 8.31.251.255 | 510 |
| 255 | 8.31.252.0/23 | 8.31.252.1 to 8.31.253.254 | 8.31.253.255 | 510 |
| 256 | 8.31.254.0/23 | 8.31.254.1 to 8.31.255.254 | 8.31.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |